Subject: RE: NO huge packages, please!
From: Robert Collins <[email-masked]>
To: "Peter A. Castro" <[email-masked]>
Cc: Randall R Schulz <[email-masked]>, [email-masked]
Date: 08 Nov 2002 18:14:35 +1100

On Fri, 2002-11-08 at 05:38, Peter A. Castro wrote:

> Ah, yes, I do recall seeing this.  But, I wouldn't really call this a
> re-try facility, because if 1 out of 100 packages downloaded with errors,
> the "re-try" will pull all 100 packages all over again.  A far cry from
> ideal, I'd say :) This is why I was proposing something much more
> realtime.  Such that during the download of a package, if an error
> occurs, it prompts you to re-try right there any then.  A further
> optimization would be to have a checkbox to automagicaly do a re-try up
> to a certain number of times. 

Hmm, a number of things here.
1) If you have multiple mirrors chosen, setup will try all of them
before considering a fail to have occured.
2) setup only downloads again if you deselect the mirror you used last
time from your mirror list. I ususally choose 3 or 4 mirrors and then
*don't change them*.
3) Knobs with little use shouldn't exist. I'll accept a commandline
parameter to cause n retries on a single url. It should be about 10
lines of code.
 
> > On the other hand, wget is pretty automatic and is rather persistent (and 
> > customizably so) in its attempts to surmount failures during downloads, so 
> > there's much to recommend it for users with links that exhibit frequent 
> > failures.
> 
> Except that they end up either having to craft the commands to pull only
> those package directories they really want, or pull the whole she-bang.
> Again, not idea.  If I get time, I'll look at Setup and see what it might
> take to add this "feature" (no guarantees, though).

Also, note that setup will use non encoded directories, if a top level
setup.ini is created. However, setup won't put files there itself, nor
update setup.ini.

Rob